<?php

namespace App\Http\Controllers\Views;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Profesional;
use App\TipoProfesional;

class ProfesionalController extends Controller
{
    public function index(Request $request) 
    {
        $tipos_profesionales = TipoProfesional::all();

        $profesionales = Profesional::orderBy('id', 'DESC');

        if ($request->has('tipo-profesional') && $request->input('tipo-profesional') != 0)
            $profesionales = $profesionales->where('tipos_profesional_id', $request->input('tipo-profesional'));

        if ($request->input('nombre'))
            $profesionales = $profesionales->where('nombre', 'like', '%'.$request->input('nombre').'%');


        $profesionales = $profesionales->paginate(3);

        return view('web.profesionales.index', compact('profesionales', 'tipos_profesionales'));
    }

    public function show($id) 
    {
        $profesional = Profesional::find($id);

        return view('web.profesionales.show', compact('profesional'));
    }
}
